%define name picviz
%define version 0.5
%define release %mkrel 2
%define major   1

%define libname %mklibname %{name} %{major}

Name: %name
Version: %version
Release: %release
Summary: Parallel coordinates plotter
License: GPLv3+
Group: Graphics
URL: http://www.wallinfire.net/picviz
#Source0: http://www.wallinfire.net/picviz/attachment/wiki/ReleasesDownload/%{name}-%{version}.tar.gz?format=raw
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: cmake
BuildRequires: bison
BuildRequires: flex
BuildRequires: python-devel
BuildRequires: pkgconfig
BuildRequires: pcre-devel
BuildRequires: libevent-devel
BuildRequires: cairo-devel

%package -n %{libname}-devel
Summary: Picviz development files
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%package gui
Summary: Graphical frontend for picviz
Group: Graphics
Requires: %{name} = %{version}
Requires: PyQt4

%package -n %{libname}
Summary: Parallel coordinates plotter library
Group: Graphics

%description
Picviz is a parallel coordinates plotter which enables easy scripting
from various input (tcpdump, syslog, iptables logs, apache logs,
etc..) to visualize your data and discover interesting results
quickly.

Its primary goal is to graph data in order to be able to quickly
analyze problems and find correlations among variables. With security
analysis in mind, the program has been designed to be very flexible,
able to graph millions of events.

The language is designed to be close to the graphviz graph description
language.

%description -n %{libname}-devel
Development files for libpicviz.

%description gui
Graphical frontend for picviz.

%description -n %{libname}
Picviz is a parallel coordinates plotter which enables easy scripting
from various input (tcpdump, syslog, iptables logs, apache logs,
etc..) to visualize your data and discover interesting results
quickly.

Its primary goal is to graph data in order to be able to quickly
analyze problems and find correlations among variables. With security
analysis in mind, the program has been designed to be very flexible,
able to graph millions of events.

The language is designed to be close to the graphviz graph description
language.

%prep
%setup -q

%build
pushd .
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON -DLIB_INSTALL_DIR=%_lib -DMOD_INSTALL_DIR=%_lib/%name-%major
%make
popd

pushd src/libpicviz/bindings/python
python ./setup.py build
popd

pushd src/frontend/
python ./setup.py build

%install
rm -rf %{buildroot}
%makeinstall_std

pushd src/libpicviz/bindings/python
python ./setup.py install --root=%{buildroot} --install-lib=%{python_sitearch}
popd
chmod 755 %{buildroot}/%{python_sitearch}/picviz.so

pushd src/frontend
python ./setup.py install --root=%{buildroot} --install-lib=%{python_sitearch}
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README samples
%{_mandir}/man1/pcv.1.*
%{python_sitearch}/picviz.so
%{python_sitearch}/Picviz*.egg-info
%{_bindir}/pcv

%files -n %{libname}-devel
%defattr(-,root,root,-)
%doc doc/{*.html,*.png,*.jpeg,images}
%{_libdir}/libpicviz.so
%{_libdir}/pkgconfig/picviz.pc
%{_includedir}/*

%files gui
%defattr(-,root,root,-)
%dir %{python_sitearch}/PicvizGui
%{python_sitearch}/PicvizGui/*
%{python_sitearch}/picviz_gui*.egg-info
%{_bindir}/picviz-gui

%files -n %libname
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}-%major
%{_libdir}/%{name}-%major/*.so



%changelog
* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.5-2mdv2010.0
+ Revision: 441798
- rebuild

* Sun Jan 25 2009 Pascal Terjan <pterjan@mandriva.org> 0.5-1mdv2009.1
+ Revision: 333464
- BuildRequires cairo-devel
- Update to 0.5

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 0.4-1mdv2009.1
+ Revision: 324078
- New upstream release
- New upstream release

* Thu Dec 25 2008 Michael Scherer <misc@mandriva.org> 0.3-4mdv2009.1
+ Revision: 318496
- rebuild for new python

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix plugin path

* Sat Sep 20 2008 Pascal Terjan <pterjan@mandriva.org> 0.3-2mdv2009.0
+ Revision: 286058
- Fix build on x86_64
- Move plugins into a versionned directory
- BuildRequires pcre-devel
- import picviz


* Sat Sep 20 2008 Pascal Terjan <pterjan@mandriva.org> 0.3-1mdv2009.0
- First version of the package (with some parts from Fedora)
